/**
 * @jsxRuntime classic
 * @jsx jsx
 */
import { type CSSProperties, type FocusEventHandler, type MouseEventHandler, type ReactNode } from 'react';
interface ContainerProps {
    children: ReactNode | (() => ReactNode);
    onBlur?: FocusEventHandler<HTMLElement>;
    onClick?: MouseEventHandler<HTMLElement>;
    onFocus?: FocusEventHandler<HTMLElement>;
    style: CSSProperties;
    testId?: string;
}
/**
 * __Container__
 *
 * A container is used as a styled wrapper around the contents of an inline dialog.
 * Note that the styles here are merged with the style prop that comes from the popper.js library.
 *
 */
export declare const Container: import("react").ForwardRefExoticComponent<ContainerProps & import("react").RefAttributes<HTMLDivElement>>;
export {};
